<?xml version="1.0" encoding="UTF-8"?>
<flow xmlns="http://www.springframework.org/schema/webflow"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.springframework.org/schema/webflow
    http://www.springframework.org/schema/webflow/spring-webflow-2.4.xsd"
      start-state="start">


    <view-state id="start" view="start.xhtml">
        <transition on="next" to="contactListView"/>
        <transition on="flowPDF" to="pdfState"/>
        <transition on="flowExcel" to="excelState"/>
        <transition on="pdfFromTable" to="pdfTableState"/>

    </view-state>

    <view-state id="contactListView" view="contactListView.xhtml">
        <transition on="end" to="end"/>
        <transition on="back" to="start"/>
    </view-state>

    <view-state id="pdfState" view="externalRedirect:downloadPDF"/>
    <view-state id="excelState" view="externalRedirect:downloadExcel"/>
    <view-state id="pdfTableState" view="externalRedirect:pdfFromTable"/>

    <end-state id="end"/>


</flow>